Page MenuHomePhabricator

Track number of external identifiers on Wikidata over time
Closed, ResolvedPublic5 Story Points

Description

We already track the number of statements per Wikidata item over time (Grafana), by looking at the wb-claims page property. Analogously, we can look at wb-identifiers to track just the number of external identifier statements, which is also useful information that’s otherwise hard to get (in WDQS or on the Toolforge replicas, the query times out, whereas on the stats machines it finishes within half a minute).

Relevant code: analytics/wmde/scripts.git, src/wikidata/datamodel/statements_per_entity.php and src/wikidata/datamodel/sql/select_statements_per_entity.sql.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2019, 3:12 PM

maybe items with Q5 could have separates stats.

alaa_wmde set the point value for this task to 5.Jul 9 2019, 12:30 PM
alaa_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Campsite board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 12 2019, 7:00 PM

Change 522537 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[analytics/wmde/scripts@master] Track number of external identifiers on wikidata alongside statements

https://gerrit.wikimedia.org/r/522537

Change 522537 merged by jenkins-bot:
[analytics/wmde/scripts@master] Track number of external identifiers on wikidata alongside statements

https://gerrit.wikimedia.org/r/522537

Change 523195 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[analytics/wmde/scripts@production] Track number of external identifiers on wikidata alongside statements

https://gerrit.wikimedia.org/r/523195

Change 523195 merged by jenkins-bot:
[analytics/wmde/scripts@production] Track number of external identifiers on wikidata alongside statements

https://gerrit.wikimedia.org/r/523195

Because I forgot to add it to the grafana, doing it now.